## org.eclipse.datatools.sqltools.db.generic.ui
Class GenericDBUIConfiguation

    java.lang.Object
      org.eclipse.datatools.sqltools.editor.ui.core.SQLDevToolsUIConfiguration
          org.eclipse.datatools.sqltools.db.generic.ui.GenericDBUIConfiguation

Direct Known Subclasses:
  DerbyUIConfiguration

    public class GenericDBUIConfiguation

extends SQLDevToolsUIConfiguration

Field Summary

Fields inherited from class org.eclipse.datatools.sqltools.editor.ui.core.SQLDevToolsUIConfiguration
`DefaultDBFactory_vendor`

Constructor Summary
`GenericDBUIConfiguation()`

Method Summary
`org.eclipse.datatools.sqltools.core.services.ActionService` `getActionService()` Returns the Action service
`org.eclipse.datatools.sqltools.core.services.SQLEditorUIService` `getSQLEditorUIService()` Returns the SQL Editor service associated with this database definition

Methods inherited from class org.eclipse.datatools.sqltools.editor.ui.core.SQLDevToolsUIConfiguration
`getDatabaseVendorDefinitionId, getDefaultInstance, getPlanService, getSQLUIService, getTemplateService, getUIComponentService, setDatabaseVendorDefinitionId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericDBUIConfiguation

    public GenericDBUIConfiguation()

Method Detail

### getActionService

    public org.eclipse.datatools.sqltools.core.services.ActionService getActionService()

  Returns the Action service

  Overrides:
    `getActionService` in class `SQLDevToolsUIConfiguration`

### getSQLEditorUIService

    public org.eclipse.datatools.sqltools.core.services.SQLEditorUIService getSQLEditorUIService()

  Returns the SQL Editor service associated with this database definition

  Overrides:
    `getSQLEditorUIService` in class `SQLDevToolsUIConfiguration`